Skip to main content
`Ctrl`+`K`

# DMTSGetIFunctionLocal

get the local implicit function evaluation function. This function is called with local vector containing the local vector information PLUS ghost point information. It should compute a result for all local elements and `DM` will automatically accumulate the overlapping values.

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetIFunctionLocal(DM dm, PetscErrorCode (**func)(DM, PetscReal, Vec, Vec, Vec, void *), void **ctx)

Logically Collective

## Input Parameter

- dm - `DM` to associate callback with

## Output Parameters

- func - local function evaluation

- ctx - context for function evaluation

## See Also

TS: Scalable ODE and DAE Solvers, `DM`, `DMTSSetIFunctionLocal()`, `DMTSSetIFunction()`, `DMTSSetIJacobianLocal()`

## Level

beginner

## Location

src/ts/utils/dmlocalts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages